Package twisted :: Package python :: Module formmethod :: Class Hidden |
[frames | no frames]

## Class Hidden

    Argument --+
               |
          String --+
                   |
                  Hidden

A string which is not displayed.

The passed default is used as the value.

Method Summary
Inherited from String
| ``__init__`(self, name, default, shortDesc, longDesc, hints, allowNone, min, max)`
| ``coerce`(self, val)` Convert the value to the correct format.
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from String
`str` | `defaultDefault` = `''`
`NoneType` | `max` = None
`int` | `min` = 0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net